{*******************************************************}
{                                                       }
{  VG Library II                                        }
{                                                       }
{  Demo Application                                     }
{                                                       }
{  (c) 1997, 2000 by Vladimir Gaitanoff                 }
{                                                       }
{*******************************************************}

{$I vg2.inc}

unit fmMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, StdCtrls, Forms,
  Dialogs, ComCtrls, ActnList, Menus, AppEvnts, ExtCtrls, vg2PropStore,
  vg2ExtCtrls, vg2StdCtrls, vg2FileCtrls;

type
  TMainForm = class(TForm)
    sbStatus: TStatusBar;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    acActionList: TActionList;
    acClose: TAction;
    psStore: Tvg2PropStorage;
    aeEvents: TApplicationEvents;
    N1: TMenuItem;
    acTools: TAction;
    VG2Tools1: TMenuItem;
    acControls: TAction;
    VG2Controls1: TMenuItem;
    Windows1: TMenuItem;
    Tile1: TMenuItem;
    Cascade1: TMenuItem;
    tiIcon: Tvg2TrayIcon;
    vg2AboutPanel1: Tvg2AboutPanel;
    acDBControls: TAction;
    VG2DBAware1: TMenuItem;
    acDBAccess: TAction;
    VG2DataAccess1: TMenuItem;
    acAbout: TAction;
    Help1: TMenuItem;
    About1: TMenuItem;
    procedure acCloseExecute(Sender: TObject);
    procedure aeEventsHint(Sender: TObject);
    procedure acToolsExecute(Sender: TObject);
    procedure acControlsExecute(Sender: TObject);
    procedure Tile1Click(Sender: TObject);
    procedure Cascade1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure acDBControlsExecute(Sender: TObject);
    procedure acDBAccessExecute(Sender: TObject);
    procedure acAboutExecute(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses dmMain, fmTools, fmChild, fmControls, fmDBControls, fmDBAccess,
  fmAboutDlg, vg2SimpleDlg;

{$R *.DFM}

procedure TMainForm.Tile1Click(Sender: TObject);
begin
  Tile;
end;

procedure TMainForm.Cascade1Click(Sender: TObject);
begin
  Cascade;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  Application.Title := Self.Caption;
  Application.Hint := Self.Caption;
  tiIcon.Hint := Self.Caption;

  // Image list is loaded, starting animation
  tiIcon.Animate := True;
end;

procedure TMainForm.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  acAbout.Execute;
end;

procedure TMainForm.aeEventsHint(Sender: TObject);
begin
  sbStatus.SimpleText := Application.Hint;
end;

procedure TMainForm.acCloseExecute(Sender: TObject);
begin
  Close;
end;

procedure TMainForm.acToolsExecute(Sender: TObject);
begin
  ShowForm(TToolsForm);
end;

procedure TMainForm.acControlsExecute(Sender: TObject);
begin
  ShowForm(TControlsForm);
end;

procedure TMainForm.acDBControlsExecute(Sender: TObject);
begin
  ShowForm(TDBControlsForm);
end;

procedure TMainForm.acDBAccessExecute(Sender: TObject);
begin
  ShowForm(TDBAccessForm);
end;

procedure TMainForm.acAboutExecute(Sender: TObject);
var
  VarStore: Variant;
begin
  ShowDialog(TAboutDialogForm, VarStore);
end;

end.
